GNU bug report logs - #42911
28.0.50; write_region sometimes extremely very slow

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Tino Calancha <tino.calancha@HIDDEN>; dated Tue, 18 Aug 2020 09:47:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 42911 <at> debbugs.gnu.org:


Received: (at 42911) by debbugs.gnu.org; 18 Aug 2020 10:45:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 18 06:45:24 2020
Received: from localhost ([127.0.0.1]:34204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k7z7L-0006TQ-VK
	for submit <at> debbugs.gnu.org; Tue, 18 Aug 2020 06:45:24 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k7z7J-0006MU-Uf
 for 42911 <at> debbugs.gnu.org; Tue, 18 Aug 2020 06:45:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49121)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k7z7E-0003jh-L1; Tue, 18 Aug 2020 06:45:16 -0400
Received: from [176.228.60.248] (port=1580 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k7z7A-0001v0-NY; Tue, 18 Aug 2020 06:45:16 -0400
Date: Tue, 18 Aug 2020 13:44:56 +0300
Message-Id: <83lficfd1z.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tino Calancha <tino.calancha@HIDDEN>
In-Reply-To: <87ft8kffru.fsf@HIDDEN> (message from Tino Calancha on Tue, 18
 Aug 2020 11:46:13 +0200)
Subject: Re: bug#42911: 28.0.50; write_region sometimes extremely very slow
References: <87ft8kffru.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42911
Cc: uyennhi.qm@HIDDEN, 42911 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Tino Calancha <tino.calancha@HIDDEN>
> Date: Tue, 18 Aug 2020 11:46:13 +0200
> Cc: uyennhi.qm@HIDDEN
> 
> Recipe:
> emacs -Q ~/save-buffer-slow.txt
> ;; insert few characters and run
> M-: (benchmark-run nil (save-buffer))
> 
> ;; Repeat several times: sometimes it takes a reasonable time, but
> ;; in others it takes huge time
> ;; (6-10 s to save a buffer with less that 50 characters)
> 
> It happens randomly.

Did you check that GC doesn't kick in when the "slow" saving happens?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42911; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Aug 2020 09:46:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 18 05:46:59 2020
Received: from localhost ([127.0.0.1]:34035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k7yCp-0002Mf-E4
	for submit <at> debbugs.gnu.org; Tue, 18 Aug 2020 05:46:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:48394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1k7yCn-0002MX-Pt
 for submit <at> debbugs.gnu.org; Tue, 18 Aug 2020 05:46:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36022)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tino.calancha@HIDDEN>)
 id 1k7yCn-0005Pg-Hn
 for bug-gnu-emacs@HIDDEN; Tue, 18 Aug 2020 05:46:57 -0400
Received: from mail-wm1-x32e.google.com ([2a00:1450:4864:20::32e]:40400)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <tino.calancha@HIDDEN>)
 id 1k7yCl-0003k2-FY
 for bug-gnu-emacs@HIDDEN; Tue, 18 Aug 2020 05:46:57 -0400
Received: by mail-wm1-x32e.google.com with SMTP id k20so16351635wmi.5
 for <bug-gnu-emacs@HIDDEN>; Tue, 18 Aug 2020 02:46:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=oZguOnu+JOhR9Cfmdbv/3UkrT63Ls4alBLctFqY8xxY=;
 b=afBM9+xsfvf47Jd6LLolRg10TxBAd2TRYKhpOusev/5YvyR9HSYhJQ7FmbccSIofJp
 OHJ1NhdX9RBt5d3WjAnEIsI73zmBx0o+yLZmJbGFQV1HWbmPWC3DjbQ2Yap7ZrcZvwZ2
 3XZu+5gSBrKi55xSRA1/sZk+jkNAqi2EZl3qC5J5zOcoNQEYG6/LpQwmufMeguFjMB1V
 W/OpFKWCIHAK1a960YFzxrPlDe2ZkBV1ka+deRsuSEygxTCH/8gXlAvMvxmTMGIVG+M7
 a09aliUCJnhu5mVCW0S/QMD6XVdwfFSw+fv25PSjjB7FbiudGUyt44mATntMnD19yLu7
 ZAww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=oZguOnu+JOhR9Cfmdbv/3UkrT63Ls4alBLctFqY8xxY=;
 b=S08XNY7zVhtPQ6DRXE4wfUGfjIKqUtUs8k/Ram73GkPQxvqIzvzcJQbcgSk++zu/Rk
 P59kYQTQ0n/JDyg5/DWF1J7cNtZb8/kLxJErnd3u30Fdr1l/B+8XVOAWWhuJDmQZsgzX
 7lmjLePyLtujDdfciiD3J1tiCmc6NLvIDx/sFZQzhMNB34OFSCfUREKflqPEM9JxXR2Q
 oc2MkZ8EB9AYp2HHWuKnSd1jn7MqZTus3VdDNtaZLeZTP7hbwn0Tso/rbtXsB1dUJkOQ
 coPrXNcFBYVa6AH2A7cKSGb5tdBQAB2PppGyKIsSKgLVjWLZtfN+GChO+csYpvZN59eF
 0PrA==
X-Gm-Message-State: AOAM530LY0AEuT9GD/HltBhCitAznOguhTHz0Odw50id2V1MbXF4f8vK
 vK7mHR4E7FokQbeCdQ4e0s7dDSzN271KRg==
X-Google-Smtp-Source: ABdhPJwyeW9RGj2hkNgZOld+v3CsjCRUxfc6ZUjeuCsnj90nh+E2gFkhFEi/w2VeRbA7/BqYqkrlgQ==
X-Received: by 2002:a1c:de85:: with SMTP id
 v127mr19716605wmg.156.1597744012579; 
 Tue, 18 Aug 2020 02:46:52 -0700 (PDT)
Received: from localhost.example.com (nat1.prg.suse.com. [195.250.132.148])
 by smtp.gmail.com with ESMTPSA id f12sm32739191wmc.46.2020.08.18.02.46.51
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 18 Aug 2020 02:46:51 -0700 (PDT)
From: Tino Calancha <tino.calancha@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; write_region sometimes extremely very slow
Date: Tue, 18 Aug 2020 11:46:13 +0200
Message-ID: <87ft8kffru.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2a00:1450:4864:20::32e;
 envelope-from=tino.calancha@HIDDEN; helo=mail-wm1-x32e.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 FREEMAIL_REPLY=1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: X-Debbugs-Cc: uyennhi.qm@HIDDEN Verified in both emacs-27
 and emacs-master Recipe: emacs -Q ~/save-buffer-slow.txt ; ;
 insert few characters
 and run M-: (benchmark-run nil (save-buffer)) 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (tino.calancha[at]gmail.com)
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.0 FREEMAIL_REPLY         From and body contain different freemails
 1.4 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

X-Debbugs-Cc: uyennhi.qm@HIDDEN

Verified in both emacs-27 and emacs-master

Recipe:
emacs -Q ~/save-buffer-slow.txt
;; insert few characters and run
M-: (benchmark-run nil (save-buffer))

;; Repeat several times: sometimes it takes a reasonable time, but
;; in others it takes huge time
;; (6-10 s to save a buffer with less that 50 characters)

It happens randomly.
I have been observed this maybe 1 week.  I don't recall to see this in
my other laptio runinning Debian 10, so it might be OS related?


In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.21, c=
airo version 1.16.0)
 of 2020-08-18 built on localhost.example.com
Repository revision: 9905001e4b0c9dc0a90cefdd9530a90d07a17b99
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: openSUSE Tumbleweed
uname -a: Linux localhost.example.com 5.7.11-1-default #1 SMP Wed Jul 29 09=
:32:21 UTC 2020 (5015994) x86_64 x86_64 x86_64 GNU/Linux


Recent messages:
You can run the command =E2=80=98erase-buffer=E2=80=99 with M-x era RET
user-error: Beginning of history; no preceding item
Saving file /home/calancha/save-buffer-slow.txt...
Wrote /home/calancha/save-buffer-slow.txt
(6.688615679 0 0.0)
Saving file /home/calancha/save-buffer-slow.txt...
Wrote /home/calancha/save-buffer-slow.txt
(0.076871944 0 0.0)
Saving file /home/calancha/save-buffer-slow.txt...
Wrote /home/calancha/save-buffer-slow.txt
(10.659738934 0 0.0)
Configured using:
 'configure --with-x-toolkit=3Dgtk3'

Configured features:
XPM JPEG TIFF GIF PNG CAIRO SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY
LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XDBE XIM MODULES THREADS PDUMPER

Important settings:
  value of $LC_ALL:=20
  value of $LC_COLLATE: en_US.UTF-8
  value of $LC_CTYPE: en_US.UTF-8
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec password-cache epa derived epg epg-config gnus-util
rmail rmail-loaddefs text-property-search mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils cl-extra seq byte-opt
gv bytecomp byte-compile cconv help-mode easymenu novice time-date
subr-x cl-loaddefs cl-lib benchmark tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 47888 6325)
 (symbols 48 6098 1)
 (strings 32 16202 1003)
 (string-bytes 1 529670)
 (vectors 16 11018)
 (vector-slots 8 152947 12719)
 (floats 8 33 40)
 (intervals 56 201 0)
 (buffers 992 13))




Acknowledgement sent to Tino Calancha <tino.calancha@HIDDEN>:
New bug report received and forwarded. Copy sent to uyennhi.qm@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to uyennhi.qm@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#42911; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 18 Aug 2020 10:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.